00 No motion; no commands pending  
01 Carriage motion; full speed (away from drives) 
02 Carriage motion; full speed (toward drives) 
03 Carriage motion; move fingers forward during full speed (away from drives)  
04 Carriage motion; move fingers forward during full speed (toward drives)   
05 Full speed finger motion 
07 Pull fingers back to depress flip button 
08 Flip  
09 Verify flip complete  
0A Push fingers out to release flip button  
0B Translate picker from non-leadscrew to leadscrew side 
0C Translate picker from leadscrew to non-leadscrew side 
0D Verify picker translated from non-leadscrew to leadscrew side 
0E Verify picker translated from leadscrew to non-leadscrew side 
0F Release forces after translating picker from non-leadscrew to leadscrew side 
10 Release forces after translating picker from leadscrew to non-leadscrew side  
11 Move fingers toward storage slot with intent to grab cartridge  
12 Detect cartridge in storage slot before grab, and during Initialize Element Status  
13 Take up the slack in the fingers before grabbing the cartridge 
14 Pull cartridge back from storage slot 
15 Push cartridge forward into storage slot  
16 Detect cartridge in storage slot after insert 
17 Pull fingers back from the storage slot after releasing the cartridge   
18 Move fingers toward drive; prepare to grab cartridge 
19 No motion; waiting for drive to eject the cartridge 
1A Carriage shake; to assist the cartridge ejected from the drive to slide into the picker  
1B Move fingers toward drive; with intent to grab cartridge 
1C Pull cartridge back from drive 
1D Insert cartridge into drive, until slider engages 
1E Insert cartridge into drive, after slider has engaged 
1F Push cartridge toward drive using short steps; look for drive to accept the cartridge 
20 Drive failed to accept cartridge; pull cartridge back  
21 Drive accepted cartridge, release cartridge and pull fingers back  
22 Carriage motion during mailslot grab 
23 Move fingers toward mailslot; with intent to grab cartridge 
24 Detect cartridge in mailslot before grab 
25 Take up the slack in the fingers before grabbing the cartridge  
26 Pull cartridge back from mailslot 
27 Carriage motion during mailslot insert 
28 Push cartridge forward into the mailslot 
29 Detect the cartridge in mailslot after insert 
2A Pull fingers back from mailslot after releasing cartridge 
2B Move leadscrew tab toward mailslot actuator arm before pulling mailslot in  
2C Carriage motion toward actuator arm before pulling mailslot in   
2D Move leadscrew tab to mailslot actuator arm before pushing mailslot out  
2E Carriage motion toward actuator arm where mailslot is engaged before pushing mailslot out  
2F Rotate the mailslot when rotational position unknown 
30 Release tension on the mailslot rotate arm 
31 Release tension on the mailslot rotate arm 
32 Rotate the mailslot 
33 Rotate the mailslot  
34 Verify the rotation of the mailslot is complete 
35 Rotate the mailslot when rotational position unknown 
36 Check for a cartridge in the picker
37 Move cartridge in or out of picker during test for a cartridge in a storage slot
38 Move fingers in or out of picker during test for a cartridge in a storage slot
39 Move cartridge in and out of picker during test for cartridge in the drive
3A Check for a cartridge in the drive 
3D Move carriage to cartridge test position in front of drive 
3E Verify the presence of a cartridge by pressing cartridge against drive face  
3F Short carriage motion to check for cartridge sticking out of a storage slot after insertion (towards drives) 
40 Short carriage motion to check for cartridge sticking out of a storage slot after insertion (away from drives)  
41 Short carriage motion to check for cartridge sticking out of a drive after insertion (towards drives) 
42 Short carriage motion to check for cartridge sticking out of a drive after insertion (away from drives)  
43 Short carriage motion to check for cartridge sticking out of a drive during error recovery (towards, then away from drives) 
44 Translate slowly to leadscrew side in FIND HOME sequence 
45 Short translate after finding leadscrew side (toward non-leadscrew side)  
46 Short carriage motion after finding leadscrew side (away from drives)  
47 Carriage motion toward drives; looking for hard stop in FIND HOME sequence  
48 Short carriage motion away from drives after hard stop  
49 Carriage motion away from drives; finding room to flip in FIND HOME sequence  
4A Fast carriage motion toward sensors to flip position 
4B Carriage motion toward drives finding room to flip in FIND HOME sequence  
4C Fast carriage motion when flip position found in needed direction 
4D Slow flips during FIND HOME sequence 
4E Push fingers slowly out of picker after flips in FIND HOME sequence  
4F Check for picker belts in FRU Isolation tests, or slow finger motions during error recovery  
50 Carriage motion toward drives; looking for hard stop before measuring carriage travel   
51 Verify the maximum required carriage travel from sensors 
52 Test for presence of cartridge in picker by pushing against hard stop 
53 Long carriage motion during carriage/picker assembly calibration (Coarse measure)  
54 Short carriage motion during carriage/picker assembly calibration (Fine measure)  
57 Error occurred while inserting cartridge, push cartridge farther into storage slot  
59 Move fingers toward storage slot during storage slot recovery  
5A Pull fingers back from storage slot during storage slot recovery 
5B Carriage motion during drive recovery 
5C Carriage motion during storage slot recovery 
5D Carriage motion during drive insert recovery 
5E Slowly push fingers out then into picker during drive recovery 
5F Drive recovery  
60 Drive recovery  
61 Short carriage motions during drive recovery (wiggle motion)
62 Long carriage motion in drive recovery (toward, then away from drives)   
63 Drive recovery, restore picker home in case of unexpected translate   
64 Pull fingers back into picker during recovery. 
65 Pull fingers back from storage slot during storage slot recovery  
66 Carriage motion while testing for cartridge in drive during drive insert recovery  
67 Pull back fingers from drive after releasing cartridge; during recovery  
68 Push cartridge towards drive, using short steps, look for drive to accept the cartridge; during recovery 
69 Carriage motion; during initial recovery (away from drives) 
6A Carriage motion; during initial recovery (toward drives) 
6B Push fingers out of picker; during initial recovery 
6C Pull fingers back into picker; during initial recovery 
6D Carriage motion; during initial recovery (away from drives) 
6E Carriage motion; during initial recovery (toward drives) 
6F Checking for carriage motor belt in FRU isolation tests 
